> For the complete documentation index, see [llms.txt](https://developer.myidentitypass.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.myidentitypass.com/other-verification-products/global-business-search.md).

# Global Business Search

{% hint style="info" %}
TEST DATA

company\_name: Test Company

country\_code: ng
{% endhint %}

## Search for a company

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/v2/biometrics/merchant/data/verification/global/company/search`

#### Headers

| Name                                        | Type   | Description     |
| ------------------------------------------- | ------ | --------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | your secret key |
| app-id<mark style="color:red;">\*</mark>    | String | your app id     |

#### Request Body

| Name                                            | Type   | Description                  |
| ----------------------------------------------- | ------ | ---------------------------- |
| country\_code<mark style="color:red;">\*</mark> | String | company country e.g Nigeria, |
| company\_name<mark style="color:red;">\*</mark> | String | company registration number  |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "response_code": "00",
    "message": "Companies Retrieved Successfully",
    "data": [
        {
            "name": "",
            "shortName": "",
            "brandName": "",
            "internationalNumber": "",
            "countryCode": ""
        },
        
        .........
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/other-verification-products/global-business-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
